Get list by userId
curl --request GET \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/user/{userId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/user/{userId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"limit": 10,
"offset": 0,
"count": 1
},
"lists": [
{
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"userId": "33d01d57-4bfa-4a14-bacc-036617ec02b9",
"name": "Summer List",
"listType": "Wishlist",
"notes": "Summer List",
"count": 10,
"attributes": {
"approver": "Jone Doe"
}
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "USER_LISTS_NOT_FOUND_ERROR",
"message": "Unable to find any lists for user 123"
}{
"code": "<string>",
"message": "<string>"
}List
Get list by userId
Get list by userId
GET
/
api-list
/
list
/
user
/
{userId}
Get list by userId
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Example:
"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"
Path Parameters
Query Parameters
Show child attributes
Show child attributes
Was this page helpful?
⌘I
